SignerIdentifier (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.cms

## Class SignerIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.SignerIdentifier

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class SignerIdentifier
      extends ASN1Object
      implements ASN1Choice

  RFC 5652: Identify who signed the containing `SignerInfo` object.

  The certificates referred to by this are at containing `SignedData` structure.

       SignerIdentifier ::= CHOICE {
           issuerAndSerialNumber IssuerAndSerialNumber,
           subjectKeyIdentifier [0] SubjectKeyIdentifier
       }

       SubjectKeyIdentifier ::= OCTET STRING

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerIdentifier(ASN1OctetString id)`
    `SignerIdentifier(ASN1Primitive id)`
    `SignerIdentifier(IssuerAndSerialNumber id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Encodable` | `getId()`
    `static SignerIdentifier` | `getInstance(java.lang.Object o)` Return a SignerIdentifier object from the given object.
    `boolean` | `isTagged()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerIdentifier

          public SignerIdentifier(IssuerAndSerialNumber id)

    - #### SignerIdentifier

          public SignerIdentifier(ASN1OctetString id)

    - #### SignerIdentifier

          public SignerIdentifier(ASN1Primitive id)

  - ### Method Detail

    - #### getInstance

          public static SignerIdentifier getInstance(java.lang.Object o)

      Return a SignerIdentifier object from the given object.

      Accepted inputs:

      - null → null
      - `SignerIdentifier` object
      - `IssuerAndSerialNumber` object
      - `ASN1OctetString` input formats with SignerIdentifier structure inside
      - `ASN1Primitive` for SignerIdentifier constructor.
      Parameters:
        `o` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### isTagged

          public boolean isTagged()

    - #### getId

          public ASN1Encodable getId()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.